<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ParticleSystem Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#42a6a0bf0107a00961a970b8009d155c">_applyMotion</a>(Real timeElapsed)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#64414ea812b0f1781c8c987b580c9467">_executeTriggerEmitters</a>(ParticleEmitter *emitter, unsigned requested, Real timeElapsed)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#c67f2b217cac6456e7ac5e13c8325f63">_expire</a>(Real timeElapsed)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6784cc5dfe836936e8f7cda0079fce74">_getIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#2937e606da2beda93f8b65695de90d0b">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#2a51ddf360d8c36cab0e3b636757af5c">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#e307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ae2a5b0da71f9b6f9885a7b32ac4753d">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#5455a3ae58c6388a1231c443ee0a692a">_notifyParticleResized</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#aab95c9f27dd52e33ff3477642f19d1f">_notifyParticleRotated</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#fcc7199f0f66542d6b509ec44e5cabab">_notifyReorganiseEmittedEmitterData</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#2310593d2c33ec50f95a5d1e305ca08d">_sortParticles</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#152872a44e66dc90f76e8caa60a04342">_triggerAffectors</a>(Real timeElapsed)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#f2fdac0452da6c350ca6c1b26c1935dc">_triggerEmitters</a>(Real timeElapsed)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3030f774cd9b9d6a1d822cb64403a756">_update</a>(Real timeElapsed)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#bf119c3f1428b81d16800115d33a2610">_updateBounds</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#94d43799a38e70fbed4cd53cf0bfdb53">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#bb4b1c52f75d6d0e865cac1c6dc862d8">ActiveEmittedEmitterList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#580954490bf9902c448bedab445fe419">ActiveParticleList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6e8dbbb875f9739d6adb3af84f7ca189">addActiveEmittedEmittersToFreeList</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6cb84ce8b5bd08a36a1122ccd348396a">addAffector</a>(const String &amp;affectorType)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#52820d2b4c1a5bd81371bbfae93adc85">addEmitter</a>(const String &amp;emitterType)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#10eff25845e679583c21a229ab474dd9">addFreeEmittedEmitters</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#6855b757e0df1aae6d6b014466d4d25b">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#cc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#59c5bee716096d74a0698fbe57fd81b4">clear</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#b9f9350689ea42ffdce8bc1fa15c6b70">configureRenderer</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#b2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#be1caa85ff7403e81b261e6c92050739">createEmitterParticle</a>(const String &amp;emitterName)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#f2a2e5a5d1356272a8fd12faa4aa8b85">createParticle</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#968286fe89ca2dcf86ea6bc620bf00f7">createVisualParticles</a>(size_t poolstart, size_t poolend)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#262224dcf91ecb2cffba90d314cb1fd0">destroyVisualParticles</a>(size_t poolstart, size_t poolend)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ed8b3ab5c55eb4c9c7240cf150835438">EmittedEmitterList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#b5cc7d5c7f5bfc1c3ac95e7428a8b96c">EmittedEmitterPool</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#cae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#4975bbbbff971a3fe5da9298ebf6008e">fastForward</a>(Real time, Real interval=0.1)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#cc8a224c069b180c3636324ee11fd6f7">findFreeEmittedEmitter</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#77bbe4055c65b4ed291e3c3ac222266f">FreeEmittedEmitterList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7ba7340fb8016793482b2bc6c3f85676">FreeEmittedEmitterMap</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7914db57d7cef05c2544878b323d0a3f">FreeParticleList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#2761bd9d672dacd58f18dc1f15dfcbc1">getAffector</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#64de198ce6c30dfa83782c6ec990f793">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#229b7eb3ebd0307d4fc3f1b147693d33">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#c87785ab2ab7817772fbd0b13ac8fa0d">getCullIndividually</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ca5c2753a117a887389ede43f1537e1d">getDefaultHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#fb67c669b0ff93223c49911735fe9cd4">getDefaultIterationInterval</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#946522b763de11b1876941ba83f9621c">getDefaultNonVisibleUpdateTimeout</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#b22623966576c3d9a99604fe7012609d">getDefaultWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#60b24cd45c8df45654dcfa14a1293a3b">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#351eb52ab5a6a8081cc5af4040cb3205">getEmittedEmitterQuota</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#469eae0fedcaa1561bc2730328417418">getEmitter</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#919d3345bee186e74d132657e13445f7">getIterationInterval</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#09a24d2c145c6c2646b8c3f64c36fa0f">getKeepParticlesInLocalSpace</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#97de5a6d46af3338ea10124dcbe4c706">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7f70e6fc349e4d9249587f4466f951f4">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#2473afa97e51aa6ccb3730ce7c0443dd">getNonVisibleUpdateTimeout</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#71d145db93160416d3f0d0da81968b25">getNumAffectors</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#11bfa1ac4533f7ab7d9ee2369da4ee86">getNumEmitters</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#14c77e1085b73c6b4e68f2c0d73d8984">getNumParticles</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#50ed175746e330d218b5bb4b29629e67">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#1a0fb57a5468a6cdbba0316aad6d392e">getParticle</a>(size_t index)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#c625ad16d793b5b071db20306b3a7b03">getParticleQuota</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7d9f890d7344b7ad760df8c2e862e5b8">getRenderer</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#21afdbbdda6720b641e56126659147e8">getRendererName</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#391e5c0c8edfe310f471b913575e5d07">getResourceGroupName</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#4492fa817bb3a750d349aeec34c19c43">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDist, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#b85318ea56d9f2f826a473f9ffcf0972">getSortingEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#89a2b51cd601f279262dcf6e4e891193">getSpeedFactor</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#9807ca556bce7e2b13ad8c55aa455b57">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#db62f2cc2aebbbba65472344cb799dd4">getUserObject</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b7c2a8be6a9bd59e6c69ee2d76945500">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#095f7fce16720fef89de8b14de702942">increaseEmittedEmitterPool</a>(size_t size)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#0f555c5e7a76b8da04fb3df9c703cded">increasePool</a>(size_t size)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ab6918ece8392c6828b92a4bac7213d6">initialiseEmittedEmitterPool</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#016a4a97c7f049bea3441b57e4b8db26">initialiseEmittedEmitters</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#cd38f4ff8cf52786178f0d36470f5a02">initParameters</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#35aa09415f96172c18036ba7f4066389">mAABB</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#1513f312c5de99cf2713c9675a30a12d">mActiveEmittedEmitters</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#a0f53904e278d0943a70fef51d855612">mActiveParticles</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#4d8ddab064285476e7c1bf1f67095e38">mAffectors</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#4691a7c6a4c23284a9cc3cb3dc5ac4fd">mBoundingRadius</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#dfb701e05eb52c6c33b59a0493f85afd">mBoundsAutoUpdate</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#d1c3c18c8e5b6abad09c7999611014f8">mBoundsUpdateTime</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#67862b266613399e6d421c15bdfe83b1">mCullIndividual</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#5e72493857e75cf3bfb90905013b0af9">mDefaultHeight</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#0b285d71780301e7419ca42b20bd5687">mDefaultWidth</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#4ae30a999f0346ed22af981230e2dfdd">mEmittedEmitterPool</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#739bbc0cffbbe84edaa5d543755e7062">mEmittedEmitterPoolInitialised</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#04aad3ddaeea86c1d77165e4d6745e73">mEmittedEmitterPoolSize</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#2dd405a5879b28e20f31c08cd3cb5020">mEmitters</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#b25626f014de536d9b0ea68e288ee74d">mFreeEmittedEmitters</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#164e657cbbf879a751fdf2b31a955587">mFreeParticles</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#59bc2b7740d88fc979a506f398722a6a">mIsRendererConfigured</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#8a5d526651f1f5858582ceeed4c6ddf5">mIterationInterval</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#fc6648fdc43bb839b83996244f21b133">mIterationIntervalSet</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#57e4b107a0b932586298425ebc3fdd3d">mLastVisibleFrame</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6713da8f09ccd906fe79b58fdf276f2d">mLocalSpace</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#5e6593c2c8ab7db5fc2e0c4b88860b75">mMaterialName</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#f2efe3aed941fb973b62bf16ec77ddea">mNonvisibleTimeout</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#89e13475bbdf251d58c02883d81d3def">mNonvisibleTimeoutSet</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#1fdcc463d65b417c97ad8082ede294b6">mOrigin</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#32a7f0e15ab8cabb3f045437801659d8">mParticlePool</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7d6deccf83e107cfc318548708b876b1">mpMaterial</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#c520daba3f33d2e8254f7ac6d1827a6e">mPoolSize</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#d833fc87f867f02a375c13a7b2601413">mRadixSorter</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3a4ec067f1ff89498a09384924552c02">mRenderer</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#04982517f8b99a7f4a396afda3771fec">mRendererType</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#f098d1ce5b6e05a2cd2b06e153e95b7d">mResourceGroupName</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#c1c4f6ecac48baab88920ac52565aefb">msCullCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3e1bb9409028eb4fe4e1850927467ab2">msDefaultIterationInterval</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7386a4b97c99e8653bdde34612e88a08">msDefaultNonvisibleTimeout</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#deb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#8287336d0c7c6d4ae1e4e1c0dc82c700">msEmittedEmitterQuotaCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7223d608ca78e89564cb6176b7e4a519">msHeightCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#5254fc167de9f4796ff4543aceca7a14">msIterationIntervalCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#e39bdfc0822458ad474d79d19de50cf3">msLocalSpaceCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7fc9df9362fc47592235a7565202e335">msMaterialCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#416c4c00ccbab42d5ff26ed9b5b9d746">msNonvisibleTimeoutCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#80d45e8629dddebdbf5b40277fd5ffd3">mSorted</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#49d3c7a2f5aebd347448708f15887be6">mSpeedFactor</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#24f63e24b7b5555e115a5429879272e9">msQuotaCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#dd809af55c77717bcd90324462c043fb">msRendererCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ee397e90022446edf9d21b37ee7b6531">msSortedCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7294faa181658e17d127fce3252ad283">msWidthCmd</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ab0ff7e2ff51a59079fdbf99ef4374ab">mTimeController</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#959c035bcde3202db49f2a53fafef4b4">mTimeSinceLastVisible</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#d93a0847123ddef11f2024ee98f9f741">mUpdateRemainTime</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#55581f086c6b7f68b080de187d1790fb">mUserAny</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#1e65df3217c40bfb24fd9000acfced37">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#52aa4e84426ffe6b7dbb75d6ee05581b">operator=</a>(const ParticleSystem &amp;rhs)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#5e02edb217585ce23d967a3ff132ec68">ParticleAffectorList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3bff6124f75660a4e25f20e7d97b4716">ParticleEmitterList</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#ff09d5e40918ba5d10ff15c3dad3877f">ParticlePool</a> typedef</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#81ed233c0233486b27aad24533060cc5">ParticleSystem</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#81490172c81d1589027271694400b127">ParticleSystem</a>(const String &amp;name, const String &amp;resourceGroupName)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#71e902e42b7df9ea3bd1e100e730d5b2">removeAffector</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#20fd87b1ce6f36400cf0769b1aab16d2">removeAllAffectors</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#23753de891a7c32aa6c64c2bbf59903d">removeAllEmittedEmitters</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3519e95ea941d9ae121f8ed90c6d375a">removeAllEmitters</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#57b8d8f483fe32b5a31d6ee8053c06fd">removeEmitter</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#254aa52b0c4d9d5ca5ffa0869f1b5a7b">removeFromActiveEmittedEmitters</a>(ParticleEmitter *emitter)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#871eed360bcbf391459316ffbcda0651">removeQueryFlags</a>(unsigned long flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6fd1b49ea04e24dd2b6ff46ecd8cc5c3">setBounds</a>(const AxisAlignedBox &amp;aabb)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#47e0f94b4d6e8a411f6b2f6b7671218b">setBoundsAutoUpdated</a>(bool autoUpdate, Real stopIn=0.0f)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3819fad31a2b507060becb0768b2992c">setCullIndividually</a>(bool cullIndividual)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#7acccf2da0f9ce63a0af079e809da00b">setDefaultDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#8d24a0601115d991c92a8c93c28e01a3">setDefaultHeight</a>(Real height)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#cf264915a826cb9a9ad5c6ce14918ea9">setDefaultIterationInterval</a>(Real iterationInterval)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#eee3216615e86c4279b73cd48297e2ed">setDefaultNonVisibleUpdateTimeout</a>(Real timeout)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#c2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#9c500036979d745b11448eeb6e730335">setDefaultWidth</a>(Real width)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6efbdc3b175a72c000c2c0bafd372ad2">setEmittedEmitterQuota</a>(size_t quota)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#f0edf2f193b03413a0980d9f106462de">setIterationInterval</a>(Real iterationInterval)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#124ab1e0b05d9d035536379028abbf08">setKeepParticlesInLocalSpace</a>(bool keepLocal)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6981b501b87eb5b2b577368e86208e34">setMaterialName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#cbba685176e0d844d8aa82472406595c">setNonVisibleUpdateTimeout</a>(Real timeout)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#a0e2cb40912f330b101b373c84ae1f83">setParticleQuota</a>(size_t quota)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#3aa26ab67c0ef0c38512f22f3a9c089f">setRenderer</a>(const String &amp;typeName)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#6c8e8e0329e0924b6b0a4b5174448a11">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#976394bc64e81a01338e37c669c8614b">setSortingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#fd8ec707603e16d1b0eec2e734486947">setSpeedFactor</a>(Real speedFactor)</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#19cb3e66484a172e05c336737b713400">setUserObject</a>(UserDefinedObject *obj)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c7b3777c0e3521c021ec3a1c2c444039">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#c61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystem.html#13ea0ada53e83ede5f78893f29bd8c45">~ParticleSystem</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:29 2008
</p>
</body>
</html>
